class CfgPatches {
	class TRL_Cop_Clothing {
		units[] = {"B_RangeMaster_F"};
		weapons[] = {};
		requiredVersion = 0.1;
		requiredAddons[] = {"A3_Characters_F"};
	};
};
class CfgVehicles
{
	class C_man_1;
	class B_RangeMaster_F;
	class TRL_CopPraktikant: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_CopPraktikant";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_praktikant.paa"
		};
		displayName="TRL Polizei Praktikant";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_CopAnwaerter: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_CopAnwaerter";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_anwaerter_r1.paa"
		};
		displayName="TRL Polizei Anwärter";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copmeister: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass=" TRL_Copmeister";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_kommissar_r2.paa"
		};
		displayName="TRL Polizeimeister";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copobermeister: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copobermeister";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_oberkommissar_r3.paa"
		};
		displayName="TRL Polizeiobermeister";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Cophauptmeister: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Cophauptmeister";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_hauptkommissar_r4"
		};
		displayName="TRL Polizeihauptmeister";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copkommissar: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copkommissar";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_hauptkommissar_r5.paa"
		};
		displayName="TRL Polizeikommissar";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copoberkommissar: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copoberkommissar";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_hauptkommissar_r6.paa"
		};
		displayName="TRL Polizeioberkommissar";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Cophauptkommissar: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Cophauptkommissar";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_polizeirat_r7.paa"
		};
		displayName="TRL Polizeihauptkommissar";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Coprat: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Coprat";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_polizeioberrat_r8.paa"
		};
		displayName="TRL Polizeirat";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copoberrat: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copoberrat";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_polizeidirektor_r9.paa"
		};
		displayName="TRL Polizeioberrat";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copdirektor: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copdirektor";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_leitender_polizeidirektor_r10.paa"
		};
		displayName="TRL Polizeidirektor";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_CopLdirektor: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_CopLdirektor";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_leitender_polizeidirektor_b2_r11.paa"
		};
		displayName="TRL Leitender Polizeidirektor";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};
	class TRL_Copvizepraesident: B_RangeMaster_F
	{
		_generalMacro="B_RangeMaster_F";
		scope=2;
		nakedUniform="U_BasicBody";
		uniformClass="TRL_Copvizepraesident";
		hiddenSelections[]=
		{
			"camo"
		};
		hiddenSelectionsTextures[]=
		{
			"TRL_Cop_Clothing\data\polizei_vizepraesident_r13.paa"
		};
		displayName="TRL Polizeivizepräsident";
		author="Patrick Titze";
		hideUnitInfo=1;
		hideWeaponsCargo=1;
		hideWeaponsCommander=1;
		hideWeaponsDriver=1;
		hideWeaponsGunner=1;
	};	
};

// Die Classen werden vom Speil angefragt daher 
// musst du bei den Vehicles die grund Klassen definieren 
// und dann bei den Weapons abfragen

class CfgWeapons
{
 class Uniform_Base;
 class UniformItem;
 
	class TRL_CopPraktikant_T: Uniform_Base
    {
        scope=2;
        displayName="Polizei Praktikant";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_CopPraktikant";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_CopAnwaerter_T: Uniform_Base
    {
        scope=2;
        displayName="Polizei Anwärter";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_CopAnwaerter";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copmeister_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeimeister";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copmeister";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copobermeister_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeiobermeister";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copobermeister";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Cophauptmeister_T: Uniform_Base 
    {
        scope=public;
        displayName="Polizeihauptmeister";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Cophauptmeister";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copkommissar_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeikommissar";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copkommissar";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copoberkommissar_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeioberkommissar";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copoberkommissar";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Cophauptkommissar_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeihauptkommissar";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Cophauptkommissar_T";
            containerClass="Supply50";
            mass=0;
        };
    };class TRL_Coprat_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeirat";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Coprat";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copoberrat_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeioberrat";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copoberrat";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copdirektor_T: Uniform_Base
    {
        scope=2;
        displayName="Polizeidirektor";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copdirektor";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_CopLdirektor: Uniform_Base
    {
        scope=2;
        displayName="Leitender Polizeidirektor";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_CopLdirektor_T";
            containerClass="Supply50";
            mass=0;
        };
    };
	class TRL_Copvizepraesident: Uniform_Base
    {
        scope=2;
        displayName="Polizeivizepräsident";
        picture="";
        model="\A3\Characters_F\Common\Suitpacks\suitpack_blufor_diver";
		author="Patrick Titze";
        class ItemInfo: UniformItem
        {
            uniformModel="-";
            uniformClass="TRL_Copvizepraesident_T";
            containerClass="Supply50";
            mass=0;
        };
    };
};